curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"enroll": "update"
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.create('update');
response = method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.create('update')
{
"id": "sub_P8c4bjj6xajxF",
"name": "update",
"status": "active",
"payload": null,
"latest_request_id": "upt_TXDTR7Amyz7Az",
"created_at": "2024-04-10T22:14:21.951Z",
"updated_at": "2024-04-10T22:14:21.951Z"
}
Subscriptions
Create a Subscription
POST
/
accounts
/
{acc_id}
/
subscriptions
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"enroll": "update"
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.create('update');
response = method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.create('update')
{
"id": "sub_P8c4bjj6xajxF",
"name": "update",
"status": "active",
"payload": null,
"latest_request_id": "upt_TXDTR7Amyz7Az",
"created_at": "2024-04-10T22:14:21.951Z",
"updated_at": "2024-04-10T22:14:21.951Z"
}
Enrolls an Account to a Subscription. Once
enrolled, the Subscription name and details will be present
on the response object.
Path Parameters
Body
Returns
Returns a Subscription object.curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/subscriptions \
-X POST \
-H "Method-Version: 2026-03-30" \
-H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
-H "Content-Type: application/json" \
-d '{
"enroll": "update"
}'
const response = await method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.create('update');
response = method
.accounts('acc_yVf3mkzbhz9tj')
.subscriptions
.create('update')
{
"id": "sub_P8c4bjj6xajxF",
"name": "update",
"status": "active",
"payload": null,
"latest_request_id": "upt_TXDTR7Amyz7Az",
"created_at": "2024-04-10T22:14:21.951Z",
"updated_at": "2024-04-10T22:14:21.951Z"
}
⌘I